package ast;

import nameana.Symbol;

public class Assign extends Expression {
	private Symbol identifier;
	private Expression expression;
	private Referenceable destination;

	public Assign(Symbol identifier, Expression expression) {
		this.identifier = identifier;
		this.expression = expression;
	}

	public Symbol getIdentifier() {
		return identifier;
	}

	public Expression getExpression() {
		return expression;
	}

	public void setDestination(Referenceable destination) {
		this.destination = destination;
	}

	public Referenceable getDestination() {
		return destination;
	}

	@Override
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}

}
