package ast;

public class BinOp extends Expression {
	public static enum Type {
		ADD("+"),
		SUB("-"),
		MUL("*"),
		DIV("∕"),
		EQUAL("=="),
		NOTEQUAL("≠"),
		LESS("<"),
		LESSEQUAL("≤"),
		GREATER(">"),
		GREATEREQUAL("≥"),
		LOGICALAND("&&"),
		LOGICALOR("||");

		private Type(String niceString) {
			this.niceString = niceString;
		}
		private String niceString;
		@Override
		public String toString() {
			return niceString;
		}
	}
	private Type type;
	private Expression left;
	private Expression right;

	public BinOp(Type type, Expression left, Expression right) {
		this.type = type;
		this.left = left;
		this.right = right;
	}

	public Type getBinOpType() {
		return type;
	}

	public Expression getLeft() {
		return left;
	}

	public Expression getRight() {
		return right;
	}

	@Override
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}