package ast;

import java.util.ArrayList;

import nameana.Symbol;


public class Call extends Expression {
	private Symbol callee;
	private Procedure calledProcedure;
	private ArrayList<Expression> arguments;

	public Call(Symbol callee, ArrayList<Expression> arguments) {
		this.callee = callee;
		this.arguments = arguments;
	}

	public Symbol getCallee() {
		return callee;
	}

	public ArrayList<Expression> getArguments() {
		return arguments;
	}

	public void setCalledProcedure(Procedure procedure) {
		calledProcedure = procedure;
	}

	public Procedure getCalledProcedure() {
		return calledProcedure;
	}

	@Override
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}
