package ast;

public class If extends Statement {
	private Expression condition;
	private Statement thenStatement;
	private Statement elseStatement;

	public If(Expression condition, Statement trueStatement, Statement falseStatement) {
		this.condition = condition;
		this.thenStatement = trueStatement;
		this.elseStatement = falseStatement;
	}

	public Expression getCondition() {
		return condition;
	}

	public Statement getThenStatement() {
		return thenStatement;
	}

	public Statement getElseStatement() {
		return elseStatement;
	}

	@Override
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}
