package ast;

import java.util.ArrayList;

import nameana.Symbol;



public class Procedure {
	private Symbol name;
	private Statement statement;
	private Type returnType;
	private ArrayList<Parameter> parameters;

	public Procedure(Type returnType, Symbol name, Statement statement, ArrayList<Parameter> parameters) {
		this.returnType = returnType;
		this.name = name;
		this.statement = statement;
		this.parameters = parameters;
	}

	public Type getReturnType() {
		return returnType;
	}

	public Symbol getName() {
		return name;
	}

	public Statement getStatement() {
		return statement;
	}

	public ArrayList<Parameter> getParameters() {
		return parameters;
	}

	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}
