package ast;

public class UnOp extends Expression {
	public static enum Type {
		MINUS("-"),
		NOT("¬");

		private String niceString;
		private Type(String niceString) {
			this.niceString = niceString;
		}
		@Override
		public String toString() {
			return niceString;
		}
	}
	private Type type;
	private Expression op;

	public UnOp(Type type, Expression op) {
		this.type = type;
		this.op = op;
	}

	public Type getUnOpType() {
		return type;
	}

	public Expression getOp() {
		return op;
	}

	@Override
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}
