package ast;

public interface Visitor {
	void visit(Assign assign);
	void visit(BinOp binop);
	void visit(Block block);
	void visit(Call call);
	void visit(Declaration declaration);
	void visit(ExpressionStatement expressionStatement);
	void visit(If ifs);
	void visit(InvalidExpression invalidExpression);
	void visit(InvalidStatement invalidStatement);
	void visit(Number number);
	void visit(Parameter parameter);
	void visit(Procedure procedure);
	void visit(Program program);
	void visit(Reference reference);
	void visit(Return returns);
	void visit(Type type);
	void visit(UnOp unOp);
	void visit(While whiles);
}
