package nameana;

import ast.Referenceable;

public class Symbol {
	private String string;
	private Referenceable currentDefinition;
	private SymbolTable.Scope currentScope;

	/** Constructs a new Identifier. Note that only
	 * StringTable should call this. All other callers should use StringTable.get
	 */
	Symbol(String string) {
		this.string = string;
	}

	@Override
	public String toString() {
		return string;
	}

	/** internal function for SymbolTable */
	void setCurrentDefinition(SymbolTable.Scope scope, Referenceable definition) {
		currentScope = scope;
		currentDefinition = definition;
	}

	/** internal function for SymbolTable */
	Referenceable getCurrentDefinition() {
		return currentDefinition;
	}

	/** internal function for SymbolTable */
	SymbolTable.Scope getCurrentScope() {
		return currentScope;
	}
}
