package tokens;
public class SimpleToken extends Token {
	public SimpleToken(TokenType type) {
		super(type);
	}

	@Override
	public String toString() {
		switch (getType()) {
		case COMMA:        return ",";
		case PLUS:         return "+";
		case MINUS:        return "-";
		case STAR:         return "*";
		case SLASH:        return "/";
		case LBRACE:       return "(";
		case RBRACE:       return ")";
		case LCURLY:       return "{";
		case RCURLY:       return "}";
		case ANDAND:       return "&&";
		case PIPEPIPE:     return "||";
		case EQUAL:        return "=";
		case EQUALEQUAL:   return "==";
		case LESS:         return "<";
		case LESSEQUAL:    return "<=";
		case GREATER:      return ">";
		case GREATEREQUAL: return ">=";
		case EXCLAMATIONMARK: return "!";
		case EXCLAMATIONMARKEQUAL: return "!=";
		case SEMICOLON:    return ";";
		case EOF:          return "EOF";
		case ERROR:        return "ERROR";
		case IF:           return "if";
		case ELSE:         return "else";
		case WHILE:        return "while";
		case BOOLEAN:      return "boolean";
		case INT:          return "int";
		case VOID:         return "void";
		case RETURN:       return "return";
		case IDENTIFIER:
		case NUMBER:
			throw new RuntimeException("Internal Error: SimpleToken is ID or NUMBER");
		}
		throw new RuntimeException("Internal Error: unimplemented toString");
	}
}
